@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Сообщения от пользователей
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Feedback</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Пользователь</td>
                            <td>Заголовок</td>
                            <td>Сообщение</td>
                            <td>IP</td>
                            <td>Дата добавления</td>
                            <td>Опции</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($feedbacks as $feedback)
                            <tr>
                                <td>{{ $feedback->id }}</td>
                                <td><a href="{{ route('userEdit', ['user_id' => $feedback->user->id]) }}">{{ $feedback->user->name ?? '' }}</a></td>
                                <td>{{ $feedback->title }}</td>
                                <td>{{ $feedback->body }}</td>
                                <td>{{ $feedback->ip }}</td>
                                <td>{{ $feedback->created_at }}</td>
                                <td>
                                    <a href="{{ route('feedbackView', ['feedback_id' => $feedback->id]) }}" class="btn btn-sm btn-info">Подробнее</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $feedbacks->appends($_GET)->links() }}
            </div>
        </div>
    </div>
@endsection